System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

The class will parse and generate code during compilation for a resource with a specific file extension. The attribute defines the location scope for which the object will be called.

By setting the attribute, you can limit a object to certain reserved ASP.NET directories, such as \App_Code.

If you do not apply a attribute to a class, the default is .

Defines an attribute that specifies the scope where a build provider will be applied when a resource is located. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class that applies to the specified resource location.

  One of the values.
  2.0.0.0
- Property
  System.Web.Compilation.BuildProviderAppliesTo To be added. To be added.

  Gets a value that indicates where the specified class will be applied when a resource with the appropriate extension is found.

  2.0.0.0